## com.arsdigita.docmgr.ui
Class DMUtils.FileSize

    java.lang.Object
      com.arsdigita.docmgr.ui.DMUtils.FileSize

Enclosing class:
  DMUtils

public static class DMUtils.FileSize
extends Object

Class to describe and format file sizes in request specific locales

Constructor Summary
`DMUtils.FileSize()`

Method Summary
`static String` `formatFileSize(BigDecimal size, com.arsdigita.bebop.PageState state)` Wrapper for converting from BigDecimal to long file size
`static String` `formatFileSize(long n, com.arsdigita.bebop.PageState state)` Chooses the units for the file such that the file size is greater or equal unity in the smallest units possible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DMUtils.FileSize

    public DMUtils.FileSize()

Method Detail

### formatFileSize

    public static String formatFileSize(long n,
                                        com.arsdigita.bebop.PageState state)

  Chooses the units for the file such that the file size is greater or equal unity in the smallest units possible.

### formatFileSize

    public static String formatFileSize(BigDecimal size,
                                        com.arsdigita.bebop.PageState state)

  Wrapper for converting from BigDecimal to long file size

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC